Imports System.IO
Imports System.Drawing.Imaging

Public Class Form1
    ' Save the image in a file.
    Private Sub mnuFileSaveAs_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuFileSaveAs.Click
        If (sfdImage.ShowDialog() = DialogResult.OK) Then
            Dim bm As Bitmap = DirectCast(picImage.Image, Bitmap)
            SaveBitmapUsingExtension(bm, sfdImage.FileName)
        End If
    End Sub

    ' Save the file with the appropriate format.
    ' Throw a NotSupportedException if the file
    ' has an unknown extension.
    Public Sub SaveBitmapUsingExtension(ByVal bm As Bitmap, ByVal filename As String)
        Dim extension As String = Path.GetExtension(filename)
        Select Case (extension.ToLower())
            Case ".bmp"
                bm.Save(filename, ImageFormat.Bmp)
            Case ".exif"
                bm.Save(filename, ImageFormat.Exif)
            Case ".gif"
                bm.Save(filename, ImageFormat.Gif)
            Case ".jpg", ".jpeg"
                bm.Save(filename, ImageFormat.Jpeg)
            Case ".png"
                bm.Save(filename, ImageFormat.Png)
            Case ".tif", ".tiff"
                bm.Save(filename, ImageFormat.Tiff)
            Case Else
                Throw New NotSupportedException( _
                    "Unknown file extension " & extension)
        End Select
    End Sub
End Class
